| Earth Observation Mission CFI Software DataHandling Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.SdfRec Class Reference

Class for containing Swath definition data. More...

List of all members.

## Public Member Functions
| SdfRec ()
| Constructor.
| SdfRec (final String swathDesc, final String swathIdentification, final long swathAlgo, final long numRec, final long refracMode, final double freq, final long numP, final Vector< SwathGeometry > geom, final Asar as, final AttitudeModel satNomAtt, final AttitudeModel satAtt, final AttitudeModel instrAtt)
| Constructor with parameters.
## Public Attributes
String | swathDescription
| Swath description.
String | swathId
| Swath id or file type.
long | swathRecType
| Algorithm to be used in calculations (AlgorithmEnum).
long | numSwathRec
| Number of swath records to write in a single OEF.
long | refractionMode
| Refraction mode (TargetRayEnum).
double | frequency
| Frequency (Hz).
long | numPoints
| Number of points in the instantaneous swath.
Vector< SwathGeometry > | swathGeom
| Swath geometry.
Asar | asar
| ASAR parameters.
AttitudeModel | satNomAttitude
| Attitude data for satellite nominal attitude.
AttitudeModel | satAttitude
| Attitude data for satellite attribute.
AttitudeModel | instrAttitude
| Attitude data for intrument attitude.

## Detailed Description

Class for containing Swath definition data.

## Constructor & Destructor Documentation

EECFI.SdfRec.SdfRec | ( |  | ) |

Constructor.

EECFI.SdfRec.SdfRec | ( | final String | swathDesc,
|  | final String | swathIdentification,
|  | final long | swathAlgo,
|  | final long | numRec,
|  | final long | refracMode,
|  | final double | freq,
|  | final long | numP,
|  | final Vector< SwathGeometry > | geom,
|  | final Asar | as,
|  | final AttitudeModel | satNomAtt,
|  | final AttitudeModel | satAtt,
|  | final AttitudeModel | instrAtt |
| ) |  |  |

Constructor with parameters.

## Member Data Documentation

Asar EECFI.SdfRec.asar

ASAR parameters.

double EECFI.SdfRec.frequency

Frequency (Hz).

AttitudeModel EECFI.SdfRec.instrAttitude

Attitude data for intrument attitude.

long EECFI.SdfRec.numPoints

Number of points in the instantaneous swath.

long EECFI.SdfRec.numSwathRec

Number of swath records to write in a single OEF.

long EECFI.SdfRec.refractionMode

Refraction mode (TargetRayEnum).

AttitudeModel EECFI.SdfRec.satAttitude

Attitude data for satellite attribute.

AttitudeModel EECFI.SdfRec.satNomAttitude

Attitude data for satellite nominal attitude.

String EECFI.SdfRec.swathDescription

Swath description.

Vector<SwathGeometry> EECFI.SdfRec.swathGeom

Swath geometry.

String EECFI.SdfRec.swathId

Swath id or file type.

long EECFI.SdfRec.swathRecType

Algorithm to be used in calculations (AlgorithmEnum).